> For the complete documentation index, see [llms.txt](https://docs.silkbuilder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.silkbuilder.com/tags/jscode.md).

# JScode

This tag adds code using JavaScript events in the application. SilkBuilder will collect the code in a JScode component and put it together regardless of where it has been defined.

The code in JScode is executed immediately after being loaded and is usually used to define JavaScript objects. When this code is executed, Silk Components may not be available or initialized.

## Tag Definition

Used standalone:

```xml
<silk:JScode
  renderIf=""
  id=""
  group=""
  desc=""
/>
```

Used as a container:

```xml
<silk:JScode
  renderIf=""
  id=""
  group=""
  desc=""
>
   Contains: JavaScript code.
</silk:JScode>
```

## Properties

### renderIf

It contains the logic sentence defining whether the component should be rendered.\
The logic statement's explanation is in the [Server Code Logic](https://github.com/silkbuider/documentation/tree/master/tags/how_to/server_code_logic.md) documentation.\
Default Value: *Empty*.

### id

Defines an id used only for documentation or code categorization purposes.\
Default Value: *Empty*.

### group

Defines an group used only for documentation or code categorization purposes.\
Default Value: *Empty*.

### desc

Defines a title of description used only for documentation or code categorization purposes.\
Default Value: *Empty*.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.silkbuilder.com/tags/jscode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
